Skip to main content
GET
/
explain-error
Ask AI to give hints regarding a particular error
curl --request GET \
  --url https://api.eu.bronto.io/explain-error \
  --header 'X-BRONTO-API-KEY: <api-key>'
{
  "message": "<string>",
  "session_id": "<string>",
  "sessionId": "<string>",
  "query": "<string>",
  "groups_series": [
    {
      "key": "hostname",
      "name": "host123",
      "count": 124,
      "stat": "average(duration_millis)",
      "value": 50325.25,
      "quantiles": {
        "min": 691,
        "p25": 713.75,
        "p50": 796,
        "p75": 847.5,
        "p90": 1237,
        "p95": 1331,
        "p99": 1331,
        "p999": 1331,
        "max": 1331
      },
      "series_resolution_ms": 60000,
      "timeseries": [
        {
          "@timestamp": "1711535140632",
          "count": 40,
          "value": 35.625,
          "quantiles": {
            "min": 691,
            "p25": 713.75,
            "p50": 796,
            "p75": 847.5,
            "p90": 1237,
            "p95": 1331,
            "p99": 1331,
            "p999": 1331,
            "max": 1331
          }
        }
      ],
      "groups_series": [
        {
          "name": "host123",
          "count": 124,
          "stat": "average(duration_millis)",
          "value": 50325.25,
          "series_resolution_ms": 60000,
          "timeseries": [
            {
              "@timestamp": "1711535140632",
              "count": 40,
              "value": 35.625,
              "quantiles": {
                "min": 691,
                "p25": 713.75,
                "p50": 796,
                "p75": 847.5,
                "p90": 1237,
                "p95": 1331,
                "p99": 1331,
                "p999": 1331,
                "max": 1331
              }
            }
          ]
        }
      ]
    }
  ],
  "totals": {
    "timeseries": [
      {
        "@timestamp": "1711535140632",
        "count": 40,
        "value": 35.625,
        "quantiles": {
          "min": 691,
          "p25": 713.75,
          "p50": 796,
          "p75": 847.5,
          "p90": 1237,
          "p95": 1331,
          "p99": 1331,
          "p999": 1331,
          "max": 1331
        }
      }
    ]
  }
}

Authorizations

X-BRONTO-API-KEY
string
header
required

Query Parameters

timestamp
integer
required

the timestamp in milliseconds of the error/warn event to analyse

sequence
integer
required

the sequence number of the error/warn event to analyse

logId
string<uuid>
required

the id of the dataset (log) storing the error

zone_offset
string

zone offset e.g. -01:00

Response

The AI report, streamed as SSE, of an error/warning event

type
enum<string>
required

Type of event returned

Available options:
LOADING_MESSAGE,
AI_RESPONSE_DELTA,
QUERY_RESPONSE,
RESPONSE_COMPLETED,
ERROR
message
string

The loading message or a chunk of the streamed response

session_id
string

The id of the session, if available

sessionId
string
deprecated

The id of the session, if available

query
string

The query run by the LLM, if type is QUERY_RESPONSE

groups_series
object[]
totals
object